## Let's put some requited excwptions in util upstream finnalu fixes the typos
%define _requires_exceptions  pear(Horde/Group.php)\\|pear(Horde/Group/mock.php) 
%define upstream_name Horde_Kolab_Storage
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.1.0
Release:     	%mkrel 2
Summary:    	A package for reading/writing Kolab data formats
License:    	LGPL
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Cache <= 2.0.0 
Requires:  	php-pear-Horde_Exception <= 2.0.0 
Requires:  	php-pear-Horde_Kolab_Format <= 2.0.0 
Requires:  	php-pear-Horde_Mime <= 2.0.0 
Requires:  	php-pear-Horde_Translation <= 2.0.0
Requires:  	php-pear-Horde_Support <= 2.0.0 
Requires:  	php-pear-Horde_Util <= 2.0.0 
Conflicts:  	php-pear-Horde_Cache = 2.0.0 
Conflicts:  	php-pear-Horde_Exception = 2.0.0 
Conflicts:  	php-pear-Horde_Kolab_Format = 2.0.0 
Conflicts:  	php-pear-Horde_Mime = 2.0.0 
Conflicts:  	php-pear-Horde_Translation = 2.0.0
Conflicts:  	php-pear-Horde_Support = 2.0.0 
Conflicts:  	php-pear-Horde_Util = 2.0.0 
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Kolab_Storage = %{version}
Obsoletes:	horde-kolab-storage

%description
Storing user data in an IMAP account belonging to the user is one of the
Kolab server core concepts. This package provides all the necessary means
to deal with this type of data storage effectively.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Kolab_Storage.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Kolab_Storage.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Kolab_Storage
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Kolab_Storage/*
%{peardir}/*
%{xmldir}/Horde_Kolab_Storage.xml


%changelog

* Sat Nov 19 2011 spuhler <spuhler> 1.1.0-2.mga2
+ Revision: 169347
- added define _requires_exceptions  pear(Horde/Group.php)\\|pear(Horde/Group/mock.php) as a workaround the typo until fixed upstream

* Sun Nov 13 2011 spuhler <spuhler> 1.1.0-1.mga2
+ Revision: 167294
- upgrade to 1.1.0
- added %%define	_requires_exceptions pear(\\(Group/mock.php\\|Group/Group.php)
- changed Provides: php-pear-Horde_Kolab_Storage to php-pear-Horde_Kolab_Storage = %%{version}
- imported package php-pear-Horde_Kolab_Storage

